petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatResidual

Default routine to calculate the residual.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatResidual(Mat mat,Vec b,Vec x,Vec r)

Collective on Mat and Vec

### Input Parameters

| mat | - the matrix
| b | - the right-hand-side
| x | - the approximate solution

### Output Parameter

r -location to store the residual

### Keywords

MG, default, multigrid, residual

### See Also

PCMGSetResidual()

### Level

developer

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages